import type { ID } from '@antv/graphlib';
import type { RuntimeContext } from '../runtime/types';
import type { IPointerEvent } from '../types';
import type { BaseBehaviorOptions } from './base-behavior';
import { BaseBehavior } from './base-behavior';
export interface CollapseExpandOptions extends BaseBehaviorOptions {
    /**
     * <zh/> 是否启用动画
     *
     * <en/> Whether to enable animation
     */
    animation: boolean;
    /**
     * <zh/> 是否启用展开/收起功能
     *
     * <en/> Whether to enable the expand/collapse function
     */
    enable?: boolean | ((event: IPointerEvent) => boolean);
    /**
     * <zh/> 完成收起时的回调
     *
     * <en/> Callback when collapse is completed
     */
    onCollapse?: (id: ID) => void;
    /**
     * <zh/> 完成展开时的回调
     *
     * <en/> Callback when expand is completed
     */
    onExpand?: (id: ID) => void;
}
export declare class CollapseExpand extends BaseBehavior<CollapseExpandOptions> {
    static defaultOptions: Partial<CollapseExpandOptions>;
    constructor(context: RuntimeContext, options: CollapseExpandOptions);
    private bindEvents;
    private unbindEvents;
    private onCollapseExpand;
    private validate;
    destroy(): void;
}
