import { BrushSelect } from './brush-select';
import type { ID } from '@antv/graphlib';
import type { RuntimeContext } from '../runtime/types';
import type { IPointerEvent, Points, State } from '../types';
import type { BrushSelectOptions } from './brush-select';
export type States = Record<ID, State | State[]>;
export type LassoSelectOptions = BrushSelectOptions;
export declare class LassoSelect extends BrushSelect<LassoSelectOptions> {
    static defaultOptions: Partial<LassoSelectOptions>;
    private points?;
    private pathShape?;
    selectElementFn: (graph: import("..").Graph, id: ID, points: Points) => boolean;
    constructor(context: RuntimeContext, options: LassoSelectOptions);
    pointerDown: (event: IPointerEvent) => Promise<void>;
    pointerMove: (event: IPointerEvent) => Promise<void>;
    pointerUp: () => Promise<void>;
    clearSelected: () => void;
    private lassoUpdateElementState;
    private clearLasso;
}
