import type { DisplayObjectConfig } from '@antv/g';
import type { Point } from '../../types';
import type { IconStyleProps } from '../shapes';
import type { PolygonStyleProps } from './polygon';
import { Polygon } from './polygon';
export type HexagonStyleProps = PolygonStyleProps<{
    /**
     * <zh/> 外半径
     * <en/> outer radius
     */
    outerR?: number;
}>;
export declare class Hexagon extends Polygon<HexagonStyleProps> {
    constructor(options: DisplayObjectConfig<HexagonStyleProps>);
    private getOuterR;
    protected getPoints(attributes: Required<HexagonStyleProps>): Point[];
    protected getIconStyle(attributes: Required<HexagonStyleProps>): false | IconStyleProps;
}
