import type { DisplayObjectConfig, PolygonStyleProps as GPolygonStyleProps, Group } from '@antv/g';
import type { Point } from '../../types';
import type { BaseNodeStyleProps } from './base-node';
import { BaseNode } from './base-node';
export type PolygonStyleProps<T extends Record<string, unknown> = Record<string, any>> = BaseNodeStyleProps<T & {
    points: ([number, number] | [number, number, number])[];
}>;
/**
 * Abstract class for polygon nodes,i.e triangle, diamond, hexagon, etc.
 */
export declare abstract class Polygon<T extends PolygonStyleProps = PolygonStyleProps> extends BaseNode<T> {
    constructor(options: DisplayObjectConfig<PolygonStyleProps<T>>);
    get parsedAttributes(): Required<PolygonStyleProps<T>>;
    protected drawKeyShape(attributes: Required<PolygonStyleProps<T>>, container: Group): any;
    protected getKeyStyle(attributes: Required<PolygonStyleProps<T>>): GPolygonStyleProps;
    protected abstract getPoints(attributes: Required<PolygonStyleProps<T>>): Point[];
    getIntersectPoint(point: Point): Point;
}
