import type { DisplayObjectConfig, RectStyleProps as GRectStyleProps, Group } from '@antv/g';
import { Rect as GRect } from '@antv/g';
import type { IconStyleProps } from '../shapes';
import type { BaseNodeStyleProps } from './base-node';
import { BaseNode } from './base-node';
export type RectStyleProps = BaseNodeStyleProps;
type ParsedRectStyleProps = Required<RectStyleProps>;
/**
 * Draw Rect based on BaseNode, override drawKeyShape.
 */
export declare class Rect extends BaseNode<RectStyleProps> {
    static defaultStyleProps: Partial<RectStyleProps>;
    constructor(options: DisplayObjectConfig<RectStyleProps>);
    protected getKeyStyle(attributes: ParsedRectStyleProps): GRectStyleProps;
    protected getIconStyle(attributes: ParsedRectStyleProps): false | IconStyleProps;
    protected drawKeyShape(attributes: ParsedRectStyleProps, container: Group): GRect | undefined;
}
export {};
