import type { DisplayObjectConfig } from '@antv/g';
import type { Point } from '../../types';
import type { IconStyleProps } from '../shapes';
import { NodePortStyleProps } from './base-node';
import type { PolygonStyleProps } from './polygon';
import { Polygon } from './polygon';
export type StarStyleProps = PolygonStyleProps<{
    /**
     * <zh/> 内半径
     * <en/> Inner radius
     */
    innerR?: number;
}>;
export declare class Star extends Polygon<StarStyleProps> {
    constructor(options: DisplayObjectConfig<StarStyleProps>);
    private getInnerR;
    private getOuterR;
    protected getPoints(attributes: Required<StarStyleProps>): Point[];
    protected getIconStyle(attributes: Required<StarStyleProps>): false | IconStyleProps;
    protected getPortXY(attributes: Required<StarStyleProps>, style: NodePortStyleProps): Point;
}
