import type { DisplayObjectConfig } from '@antv/g';
import type { Point } from '../../types';
import { IconStyleProps } from '../shapes';
import type { NodePortStyleProps } from './base-node';
import type { PolygonStyleProps } from './polygon';
import { Polygon } from './polygon';
export type TriangleStyleProps = PolygonStyleProps<{
    /**
     * <zh/> 三角形的方向
     * <en/> The direction of the triangle
     */
    direction?: TriangleDirection;
}>;
export type TriangleDirection = 'up' | 'left' | 'right' | 'down';
export declare class Triangle extends Polygon<TriangleStyleProps> {
    static defaultStyleProps: Partial<TriangleStyleProps>;
    constructor(options: DisplayObjectConfig<TriangleStyleProps>);
    protected getPoints(attributes: Required<TriangleStyleProps>): Point[];
    protected getPortXY(attributes: Required<TriangleStyleProps>, style: NodePortStyleProps): Point;
    protected getIconStyle(attributes: Required<TriangleStyleProps>): false | IconStyleProps;
}
