import type { DisplayObjectConfig, Group } from '@antv/g';
import { BaseShape } from './base-shape';
import type { LabelStyleProps } from './label';
export type BadgeStyleProps = LabelStyleProps;
type ParsedBadgeStyleProps = Required<BadgeStyleProps>;
type BadgeOptions = DisplayObjectConfig<BadgeStyleProps>;
export declare class Badge extends BaseShape<BadgeStyleProps> {
    static defaultStyleProps: Partial<BadgeStyleProps>;
    constructor(options: BadgeOptions);
    protected getBadgeStyle(attributes: ParsedBadgeStyleProps): Omit<Required<LabelStyleProps>, "transform" | "x" | "y" | "z" | "zIndex" | "className" | "transformOrigin" | "context">;
    render(attributes?: ParsedBadgeStyleProps, container?: Group): void;
    connectedCallback(): void;
}
export {};
