/**
 * Get the size of Graph.
 * @param container container of Graph
 * @returns Size of Graph
 */
export declare function sizeOf(container: HTMLElement): [number, number];
/**
 * Create a plugin DOM element.
 * @param type - plugin type
 * @param cover - cover the container
 * @returns plugin DOM element
 */
export declare function createPluginContainer(type: string, cover?: boolean): HTMLDivElement;
/**
 * Create a DOM element, if exists, remove it and create a new one.
 * @param id - id
 * @param tag - tag
 * @param style - style
 * @param innerHTML - innerHTML
 * @param container - container
 * @returns new DOM element
 */
export declare function insertDOM(id: string, tag?: string, style?: Partial<CSSStyleDeclaration>, innerHTML?: string, container?: HTMLElement): HTMLElement;
