import type { RuntimeContext } from '../runtime/types';
import type { Element, IPointerEvent, ViewportAnimationEffectTiming } from '../types';
import type { BaseBehaviorOptions } from './base-behavior';
import { BaseBehavior } from './base-behavior';
export interface FocusElementOptions extends BaseBehaviorOptions {
    /**
     * <zh/> 是否启用动画以及动画配置
     *
     * <en/> Whether to enable animation
     */
    animation?: ViewportAnimationEffectTiming;
    /**
     * <zh/> 是否启用聚焦功能
     *
     * <en/> Whether to enable the function of dragging the node
     */
    enable?: boolean | ((event: IElementEvent) => boolean);
}
export declare class FocusElement extends BaseBehavior<FocusElementOptions> {
    static defaultOptions: Partial<FocusElementOptions>;
    constructor(context: RuntimeContext, options: FocusElementOptions);
    private bindEvents;
    private getSelectedNodeIDs;
    private clickFocusElement;
    private validate;
    private unbindEvents;
    destroy(): void;
}
type IElementEvent = IPointerEvent<Element>;
export {};
