import { Rect as GRect } from '@antv/g';
import { deepMix } from '@antv/util';
import { subStyleProps } from '../../utils/prefix';
import { BaseCombo } from './base-combo';
export class RectCombo extends BaseCombo {
    static defaultStyleProps = {
        anchor: [0.5, 0.5],
    };
    constructor(options) {
        super(deepMix({}, { style: RectCombo.defaultStyleProps }, options));
    }
    drawKeyShape(attributes, container) {
        return this.upsert('key', GRect, this.getKeyStyle(attributes), container);
    }
    getKeyStyle(attributes) {
        const keyStyle = super.getKeyStyle(attributes);
        const collapsedStyle = subStyleProps(keyStyle, 'collapsed');
        const [width, height] = this.getKeySize(attributes);
        return {
            ...keyStyle,
            ...(attributes.collapsed && collapsedStyle),
            width,
            height,
        };
    }
}
//# sourceMappingURL=rect.js.map