import { deepMix } from '@antv/util';
import { Cubic } from './cubic';
export class CubicHorizontal extends Cubic {
    static defaultStyleProps = {
        curvePosition: [0.5, 0.5],
        curveOffset: [0, 0],
    };
    constructor(options) {
        super(deepMix({}, { style: CubicHorizontal.defaultStyleProps }, options));
    }
    getControlPoints(sourcePoint, targetPoint, curvePosition, curveOffset) {
        const xDist = targetPoint[0] - sourcePoint[0];
        return [
            [sourcePoint[0] + xDist * curvePosition[0] + curveOffset[0], sourcePoint[1]],
            [targetPoint[0] - xDist * curvePosition[1] + curveOffset[1], targetPoint[1]],
        ];
    }
}
//# sourceMappingURL=cubic-horizontal.js.map