import { deepMix } from '@antv/util';
import { Cubic } from './cubic';
export class CubicVertical extends Cubic {
    static defaultStyleProps = {
        curvePosition: [0.5, 0.5],
        curveOffset: [0, 0],
    };
    constructor(options) {
        super(deepMix({}, { style: CubicVertical.defaultStyleProps }, options));
    }
    getControlPoints(sourcePoint, targetPoint, curvePosition, curveOffset) {
        const yDist = targetPoint[1] - sourcePoint[1];
        return [
            [sourcePoint[0], sourcePoint[1] + yDist * curvePosition[0] + curveOffset[0]],
            [targetPoint[0], targetPoint[1] - yDist * curvePosition[1] + curveOffset[1]],
        ];
    }
}
//# sourceMappingURL=cubic-vertical.js.map