import { deepMix } from '@antv/util';
import { BaseEdge } from './base-edge';
/**
 * Draw line based on BaseEdge, override drawKeyShape
 */
export class Line extends BaseEdge {
    static defaultStyleProps = {};
    constructor(options) {
        super(deepMix({}, { style: Line.defaultStyleProps }, options));
    }
    getKeyPath(attributes) {
        const [sourcePoint, targetPoint] = this.getEndpoints(attributes);
        return [
            ['M', sourcePoint[0], sourcePoint[1]],
            ['L', targetPoint[0], targetPoint[1]],
        ];
    }
}
//# sourceMappingURL=line.js.map