import { deepMix } from '@antv/util';
import { getCurveControlPoint, getQuadraticPath } from '../../utils/edge';
import { BaseEdge } from './base-edge';
export class Quadratic extends BaseEdge {
    static defaultStyleProps = {
        curvePosition: 0.5,
        curveOffset: 30,
    };
    constructor(options) {
        super(deepMix({}, { style: Quadratic.defaultStyleProps }, options));
    }
    getKeyPath(attributes) {
        const { curvePosition, curveOffset } = attributes;
        const [sourcePoint, targetPoint] = this.getEndpoints(attributes);
        const controlPoint = attributes.controlPoint || getCurveControlPoint(sourcePoint, targetPoint, curvePosition, curveOffset);
        return getQuadraticPath(sourcePoint, targetPoint, controlPoint);
    }
}
//# sourceMappingURL=quadratic.js.map