import type { DisplayObjectConfig, CircleStyleProps as GCircleStyleProps, Group } from '@antv/g';
import type { Point } from '../../types';
import type { IconStyleProps } from '../shapes';
import type { BaseNodeStyleProps } from './base-node';
import { BaseNode } from './base-node';
export type CircleStyleProps = BaseNodeStyleProps;
/**
 * Draw circle based on BaseNode, override drawKeyShape.
 */
export declare class Circle extends BaseNode {
    static defaultStyleProps: Partial<CircleStyleProps>;
    constructor(options: DisplayObjectConfig<CircleStyleProps>);
    protected drawKeyShape(attributes: Required<CircleStyleProps>, container: Group): any;
    protected getKeyStyle(attributes: Required<CircleStyleProps>): GCircleStyleProps;
    protected getIconStyle(attributes: Required<CircleStyleProps>): false | IconStyleProps;
    getIntersectPoint(point: Point): Point;
}
