import { getDiamondPoints } from '../../utils/element';
import { getPolygonIntersectPoint } from '../../utils/point';
import { Polygon } from './polygon';
/**
 * Draw diamond based on BaseNode, override drawKeyShape.
 */
export class Diamond extends Polygon {
    constructor(options) {
        super(options);
    }
    getPoints(attributes) {
        const [width, height] = this.getSize(attributes);
        return getDiamondPoints(width, height);
    }
    getIntersectPoint(point) {
        const { points } = this.getKeyStyle(this.parsedAttributes);
        const center = [this.attributes.x, this.attributes.y];
        return getPolygonIntersectPoint(point, center, points).point;
    }
}
//# sourceMappingURL=diamond.js.map