import { deepMix } from '@antv/util';
import { BaseShape } from './base-shape';
import { Label } from './label';
export class Badge extends BaseShape {
    static defaultStyleProps = {
        padding: [2, 4, 2, 4],
        fontSize: 10,
        wordWrap: false,
        backgroundRadius: '50%',
        backgroundOpacity: 1,
    };
    constructor(options) {
        super(deepMix({}, { style: Badge.defaultStyleProps }, options));
    }
    getBadgeStyle(attributes) {
        return this.getGraphicStyle(attributes);
    }
    render(attributes = this.parsedAttributes, container = this) {
        this.upsert('label', Label, this.getBadgeStyle(attributes), container);
    }
    connectedCallback() {
        this.upsert('label', Label, this.getBadgeStyle(this.parsedAttributes), this);
    }
}
//# sourceMappingURL=badge.js.map