import { Image as GImage, Text as GText } from '@antv/g';
import { BaseShape } from './base-shape';
export class Icon extends BaseShape {
    constructor(options) {
        super(options);
    }
    isGImage() {
        return !!this.getAttribute('src');
    }
    getIconStyle(attributes = this.attributes) {
        const style = this.getGraphicStyle(attributes);
        if (this.isGImage()) {
            return {
                anchor: [0.5, 0.5],
                ...style,
            };
        }
        return {
            textBaseline: 'middle',
            textAlign: 'center',
            ...style,
        };
    }
    render(attributes = this.attributes, container = this) {
        this.upsert('icon', (this.isGImage() ? GImage : GText), this.getIconStyle(attributes), container);
    }
    connectedCallback() {
        this.upsert('icon', (this.isGImage() ? GImage : GText), this.getIconStyle(this.attributes), this);
    }
}
//# sourceMappingURL=icon.js.map