import { DisplayObjectConfig, Group, RectStyleProps, TextStyleProps } from '@antv/g';
import type { Padding } from '../../types/padding';
import type { PrefixObject } from '../../types/prefix';
import type { BaseShapeStyleProps } from './base-shape';
import { BaseShape } from './base-shape';
export type LabelStyleProps = BaseShapeStyleProps & TextStyleProps & {
    background?: boolean;
} & PrefixObject<RectStyleProps, 'background'> & {
    padding?: Padding;
};
type ParsedLabelStyleProps = Required<LabelStyleProps>;
type LabelOptions = DisplayObjectConfig<LabelStyleProps>;
export declare class Label extends BaseShape<LabelStyleProps> {
    static defaultStyleProps: Partial<LabelStyleProps>;
    constructor(options: LabelOptions);
    protected isTextStyle(key: string): boolean;
    protected isBackgroundStyle(key: string): boolean;
    protected getTextStyle(attributes: ParsedLabelStyleProps): TextStyleProps;
    protected getBackgroundStyle(attributes: ParsedLabelStyleProps): false | RectStyleProps;
    render(attributes?: ParsedLabelStyleProps, container?: Group): void;
}
export {};
