import type { CallableObject, ElementDatum, StyleIterationContext } from '../types';
/**
 * <zh/> 计算支持回调的动态样式
 *
 * <en/> compute dynamic style that supports callback
 * @param callableStyle - <zh/> 动态样式 | <en/> dynamic style
 * @param context - <zh/> 样式计算迭代上下文 | <en/> style iteration context
 * @returns <zh/> 静态样式 | <en/> static style
 */
export declare function computeElementCallbackStyle(callableStyle: CallableObject<Record<string, unknown>, ElementDatum>, context: StyleIterationContext): {
    [k: string]: any;
};
/**
 * <zh/> 获取元素的 z-index
 *
 * <en/> Get the z-index of the element
 * @param datum - <zh/> 元素数据 | <en/> element data
 * @returns <zh/> z-index | <en/> z-index
 */
export declare function zIndexOf(datum: ElementDatum): number;
