"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RectCombo = void 0;
const g_1 = require("@antv/g");
const util_1 = require("@antv/util");
const prefix_1 = require("../../utils/prefix");
const base_combo_1 = require("./base-combo");
class RectCombo extends base_combo_1.BaseCombo {
    static defaultStyleProps = {
        anchor: [0.5, 0.5],
    };
    constructor(options) {
        super((0, util_1.deepMix)({}, { style: RectCombo.defaultStyleProps }, options));
    }
    drawKeyShape(attributes, container) {
        return this.upsert('key', g_1.Rect, this.getKeyStyle(attributes), container);
    }
    getKeyStyle(attributes) {
        const keyStyle = super.getKeyStyle(attributes);
        const collapsedStyle = (0, prefix_1.subStyleProps)(keyStyle, 'collapsed');
        const [width, height] = this.getKeySize(attributes);
        return {
            ...keyStyle,
            ...(attributes.collapsed && collapsedStyle),
            width,
            height,
        };
    }
}
exports.RectCombo = RectCombo;
//# sourceMappingURL=rect.js.map