import type { DisplayObjectConfig } from '@antv/g';
import type { Point } from '../../types';
import type { BaseEdgeStyleProps } from './base-edge';
import { Cubic } from './cubic';
export interface CubicHorizontalStyleProps extends BaseEdgeStyleProps {
    /**
     * <zh/> 控制点在两端点连线上的相对位置，范围为`0-1`
     * <en/> The relative position of the control point on the line, ranging from `0-1`
     */
    curvePosition?: number | [number, number];
    /**
     * <zh/> 控制点距离两端点连线的距离，可理解为控制边的弯曲程度
     * <en/> The distance of the control point from the line
     */
    curveOffset?: number | [number, number];
}
export declare class CubicHorizontal extends Cubic {
    static defaultStyleProps: Partial<CubicHorizontalStyleProps>;
    constructor(options: DisplayObjectConfig<CubicHorizontalStyleProps>);
    protected getControlPoints(sourcePoint: Point, targetPoint: Point, curvePosition: [number, number], curveOffset: [number, number]): [Point, Point];
}
