"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CubicHorizontal = void 0;
const util_1 = require("@antv/util");
const cubic_1 = require("./cubic");
class CubicHorizontal extends cubic_1.Cubic {
    static defaultStyleProps = {
        curvePosition: [0.5, 0.5],
        curveOffset: [0, 0],
    };
    constructor(options) {
        super((0, util_1.deepMix)({}, { style: CubicHorizontal.defaultStyleProps }, options));
    }
    getControlPoints(sourcePoint, targetPoint, curvePosition, curveOffset) {
        const xDist = targetPoint[0] - sourcePoint[0];
        return [
            [sourcePoint[0] + xDist * curvePosition[0] + curveOffset[0], sourcePoint[1]],
            [targetPoint[0] - xDist * curvePosition[1] + curveOffset[1], targetPoint[1]],
        ];
    }
}
exports.CubicHorizontal = CubicHorizontal;
//# sourceMappingURL=cubic-horizontal.js.map