"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CubicVertical = void 0;
const util_1 = require("@antv/util");
const cubic_1 = require("./cubic");
class CubicVertical extends cubic_1.Cubic {
    static defaultStyleProps = {
        curvePosition: [0.5, 0.5],
        curveOffset: [0, 0],
    };
    constructor(options) {
        super((0, util_1.deepMix)({}, { style: CubicVertical.defaultStyleProps }, options));
    }
    getControlPoints(sourcePoint, targetPoint, curvePosition, curveOffset) {
        const yDist = targetPoint[1] - sourcePoint[1];
        return [
            [sourcePoint[0], sourcePoint[1] + yDist * curvePosition[0] + curveOffset[0]],
            [targetPoint[0], targetPoint[1] - yDist * curvePosition[1] + curveOffset[1]],
        ];
    }
}
exports.CubicVertical = CubicVertical;
//# sourceMappingURL=cubic-vertical.js.map