"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Line = void 0;
const util_1 = require("@antv/util");
const base_edge_1 = require("./base-edge");
/**
 * Draw line based on BaseEdge, override drawKeyShape
 */
class Line extends base_edge_1.BaseEdge {
    static defaultStyleProps = {};
    constructor(options) {
        super((0, util_1.deepMix)({}, { style: Line.defaultStyleProps }, options));
    }
    getKeyPath(attributes) {
        const [sourcePoint, targetPoint] = this.getEndpoints(attributes);
        return [
            ['M', sourcePoint[0], sourcePoint[1]],
            ['L', targetPoint[0], targetPoint[1]],
        ];
    }
}
exports.Line = Line;
//# sourceMappingURL=line.js.map