"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Quadratic = void 0;
const util_1 = require("@antv/util");
const edge_1 = require("../../utils/edge");
const base_edge_1 = require("./base-edge");
class Quadratic extends base_edge_1.BaseEdge {
    static defaultStyleProps = {
        curvePosition: 0.5,
        curveOffset: 30,
    };
    constructor(options) {
        super((0, util_1.deepMix)({}, { style: Quadratic.defaultStyleProps }, options));
    }
    getKeyPath(attributes) {
        const { curvePosition, curveOffset } = attributes;
        const [sourcePoint, targetPoint] = this.getEndpoints(attributes);
        const controlPoint = attributes.controlPoint || (0, edge_1.getCurveControlPoint)(sourcePoint, targetPoint, curvePosition, curveOffset);
        return (0, edge_1.getQuadraticPath)(sourcePoint, targetPoint, controlPoint);
    }
}
exports.Quadratic = Quadratic;
//# sourceMappingURL=quadratic.js.map