"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Diamond = void 0;
const element_1 = require("../../utils/element");
const point_1 = require("../../utils/point");
const polygon_1 = require("./polygon");
/**
 * Draw diamond based on BaseNode, override drawKeyShape.
 */
class Diamond extends polygon_1.Polygon {
    constructor(options) {
        super(options);
    }
    getPoints(attributes) {
        const [width, height] = this.getSize(attributes);
        return (0, element_1.getDiamondPoints)(width, height);
    }
    getIntersectPoint(point) {
        const { points } = this.getKeyStyle(this.parsedAttributes);
        const center = [this.attributes.x, this.attributes.y];
        return (0, point_1.getPolygonIntersectPoint)(point, center, points).point;
    }
}
exports.Diamond = Diamond;
//# sourceMappingURL=diamond.js.map