import type { DisplayObjectConfig, RectStyleProps as GRectStyleProps, Group } from '@antv/g';
import { Image as GImage, ImageStyleProps as GImageStyleProps } from '@antv/g';
import type { IconStyleProps } from '../shapes';
import type { BaseNodeStyleProps } from './base-node';
import { BaseNode } from './base-node';
export type ImageStyleProps = BaseNodeStyleProps<{
    img?: string | HTMLImageElement;
    src?: string | HTMLImageElement;
}>;
export declare class Image extends BaseNode<ImageStyleProps> {
    static defaultStyleProps: Partial<ImageStyleProps>;
    constructor(options: DisplayObjectConfig<ImageStyleProps>);
    protected getKeyStyle(attributes: Required<ImageStyleProps>): GImageStyleProps;
    protected getHaloStyle(attributes: Required<ImageStyleProps>): false | GRectStyleProps;
    protected getIconStyle(attributes: Required<ImageStyleProps>): false | IconStyleProps;
    protected drawKeyShape(attributes: Required<ImageStyleProps>, container: Group): GImage | undefined;
    protected drawHaloShape(attributes: Required<ImageStyleProps>, container: Group): void;
}
