"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Badge = void 0;
const util_1 = require("@antv/util");
const base_shape_1 = require("./base-shape");
const label_1 = require("./label");
class Badge extends base_shape_1.BaseShape {
    static defaultStyleProps = {
        padding: [2, 4, 2, 4],
        fontSize: 10,
        wordWrap: false,
        backgroundRadius: '50%',
        backgroundOpacity: 1,
    };
    constructor(options) {
        super((0, util_1.deepMix)({}, { style: Badge.defaultStyleProps }, options));
    }
    getBadgeStyle(attributes) {
        return this.getGraphicStyle(attributes);
    }
    render(attributes = this.parsedAttributes, container = this) {
        this.upsert('label', label_1.Label, this.getBadgeStyle(attributes), container);
    }
    connectedCallback() {
        this.upsert('label', label_1.Label, this.getBadgeStyle(this.parsedAttributes), this);
    }
}
exports.Badge = Badge;
//# sourceMappingURL=badge.js.map