"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Icon = void 0;
const g_1 = require("@antv/g");
const base_shape_1 = require("./base-shape");
class Icon extends base_shape_1.BaseShape {
    constructor(options) {
        super(options);
    }
    isGImage() {
        return !!this.getAttribute('src');
    }
    getIconStyle(attributes = this.attributes) {
        const style = this.getGraphicStyle(attributes);
        if (this.isGImage()) {
            return {
                anchor: [0.5, 0.5],
                ...style,
            };
        }
        return {
            textBaseline: 'middle',
            textAlign: 'center',
            ...style,
        };
    }
    render(attributes = this.attributes, container = this) {
        this.upsert('icon', (this.isGImage() ? g_1.Image : g_1.Text), this.getIconStyle(attributes), container);
    }
    connectedCallback() {
        this.upsert('icon', (this.isGImage() ? g_1.Image : g_1.Text), this.getIconStyle(this.attributes), this);
    }
}
exports.Icon = Icon;
//# sourceMappingURL=icon.js.map