import { BaseStyleProps } from '@antv/g';
import type { RuntimeContext } from '../runtime/types';
import type { BasePluginOptions } from './base-plugin';
import { BasePlugin } from './base-plugin';
export interface GridLineOptions extends BasePluginOptions, Pick<BaseStyleProps, 'stroke' | 'lineWidth'> {
    /** <zh/> 单个网格的大小 | <en/> The size of a single grid */
    size?: number;
    /** <zh/> 是否显示边框 | <en/> Whether to show the border */
    border?: boolean;
    /** <zh/> 边框线宽 | <en/> Border line width */
    borderLineWidth?: number;
    /** <zh/> 边框颜色 | <en/> Border color */
    borderStroke?: string;
    /** <zh/> 边框样式 | <en/> Border style */
    borderStyle?: string;
    /** <zh/> 是否跟随图移动 | <en/> Whether to follow with the graph */
    follow?: boolean;
}
export declare class GridLine extends BasePlugin<GridLineOptions> {
    static defaultOptions: Partial<GridLineOptions>;
    private $element;
    private offset;
    constructor(context: RuntimeContext, options: GridLineOptions);
    update(options: Partial<GridLineOptions>): void;
    private bindEvents;
    private updateStyle;
    private updateOffset;
    private onTransform;
    destroy(): void;
}
