import type { CategoryOptions } from '@antv/component';
import { Selection } from '@antv/component';
import type { RuntimeContext } from '../runtime/types';
import type { ElementDatum } from '../types';
import type { CardinalPlacement } from '../types/placement';
import type { BasePluginOptions } from './base-plugin';
import { BasePlugin } from './base-plugin';
type Field = string | ((item: ElementDatum) => string);
export interface LegendOptions extends BasePluginOptions, Omit<CategoryOptions, 'data'> {
    /** <zh/> 触发方式 | <en/> Event type that triggers display of legend */
    trigger?: 'hover' | 'click';
    /** <zh/> 位置 | <en/> Legend position */
    position?: CardinalPlacement;
    /** <zh/> 节点分类标识 | <en/> Node Classification Identifier */
    nodeField?: Field;
    /** <zh/> 边分类标识 | <en/> Edge Classification Identifier */
    edgeField?: Field;
    /** <zh/> Combo分类标识 | <en/> Combo Classification Identifier */
    comboField?: Field;
}
export declare class Legend extends BasePlugin<LegendOptions> {
    static defaultOptions: Partial<LegendOptions>;
    private typePrefix;
    private element;
    private draw;
    private fieldMap;
    private selectedItems;
    constructor(context: RuntimeContext, options: LegendOptions);
    update(options: Partial<LegendOptions>): void;
    private clear;
    private bindEvents;
    private changeState;
    click: (el: Selection) => void;
    mouseleave: (el: Selection) => void;
    mouseenter: (el: Selection) => void;
    updateElement(): void;
    private setFieldMap;
    private getEvents;
    private getMarkerData;
    layout: (position: CardinalPlacement) => {
        display: string;
        flexDirection: string;
        justifyContent: string;
        alignItems: string;
    };
    private createElement;
    destroy(): void;
}
export {};
