"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransformController = exports.REQUIRED_TRANSFORMS = void 0;
const extension_1 = require("../registry/extension");
exports.REQUIRED_TRANSFORMS = [
    'update-related-edges',
    'arrange-draw-order',
    'collapse-expand-combo',
];
class TransformController extends extension_1.ExtensionController {
    category = 'transform';
    constructor(context) {
        super(context);
        this.setTransforms(this.context.options.transforms || []);
    }
    setTransforms(transforms) {
        this.setExtensions([...transforms, ...exports.REQUIRED_TRANSFORMS]);
    }
    getTransformInstance(key) {
        return key ? this.extensionMap[key] : this.extensionMap;
    }
}
exports.TransformController = TransformController;
//# sourceMappingURL=transform.js.map