"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRectPoints = exports.isBBoxCenterInRect = void 0;
const point_1 = require("../point");
/**
 * <zh/> 元素中心是否在 rect 中
 *
 * <en/> Element center in rect.
 * @param graph Graph
 * @param id ID
 * @param points Points
 * @returns boolean
 */
function isBBoxCenterInRect(graph, id, points) {
    const bbox = graph.getElementRenderBounds(id);
    if (!bbox)
        return false;
    return (0, point_1.isPointInPolygon)(bbox.center, points);
}
exports.isBBoxCenterInRect = isBBoxCenterInRect;
/**
 *
 * @param start
 * @param end
 */
function getRectPoints(start, end) {
    return [start, [start[0], end[1]], end, [end[0], start[1]]];
}
exports.getRectPoints = getRectPoints;
//# sourceMappingURL=brush.js.map