import type { ID } from '@antv/graphlib';
import type { States } from '../../behaviors/types';
import type { Graph } from '../../runtime/graph';
/**
 * <zh/> 获取所有元素状态.
 *
 * <en/> Gets all element states.
 * @param graph Graph
 * @param callback (id: ID, state: string[]) => string[]
 * @returns States
 */
export declare const getAllElementState: (graph: Graph, callback?: (id: ID, state: string[]) => string[]) => States;
/**
 * <zh/> 转化 edge 状态.
 *
 * <en/> Example Transform the edge state.
 * @param graph Graph
 * @param states States
 * @param state 'active' | 'selected'
 */
export declare const transformEdgeState: (graph: Graph, states: States, state: 'active' | 'selected') => void;
